Binary files 1.16.0-4/debian/bug-image-compositor.ref.png and 1.16.0-5/debian/bug-image-compositor.ref.png differ
diff -pruN 1.16.0-4/debian/changelog 1.16.0-5/debian/changelog
--- 1.16.0-4/debian/changelog	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/changelog	2020-12-31 21:39:40.000000000 +0000
@@ -1,3 +1,44 @@
+cairo (1.16.0-5) unstable; urgency=medium
+
+  * Team upload
+  * d/patches: Add patches from upstream for CVE-2020-35492
+    (Closes: #978658)
+  * Build-Depend on gtk-doc-tools.
+    autoconf 2.70 automatically runs gtkdocize to update gtk-doc-related
+    files for packages that invoke the GTK_DOC_CHECK macro, causing FTBFS
+    with that version if gtk-doc-tools is not installed. (Closes: #978779)
+  * d/tests/build: Mark as superficial (see #904979)
+  * d/tests/build: Fix shellcheck warnings
+  * d/tests/build: Use correct compiler for proposed autopkgtest
+    cross-architecture testing support (Closes: #946371)
+  * d/shlibs.local: Generate lockstep dependencies between binary packages.
+    Upstream developers are not going to support mixing binary packages
+    of different versions from the same source package, and neither should
+    we; they all migrate to testing as a unit anyway.
+  * Add Build-Depends-Package to all symbols files
+  * Remove migration path from libcairo2-dbg older than Debian 9 'stretch'
+  * d/rules: Don't maintain shlibs version manually.
+    The symbols files make this unnecessary under most circumstances, and -V
+    (which is the default in debhelper compat level 12) generates a
+    dependency on at least the corresponding upstream version as a fallback.
+  * Move to debhelper-compat 12
+    - Drop -V from dh_makeshlibs (it is now the default)
+  * Set Rules-Requires-Root to no
+  * Wrap a long line in the 1.12.4-1 changelog entry (thanks, lintian-brush)
+  * d/patches: Move patches from upstream to beginning of series, and add
+    metadata
+  * Add Lintian override for documentation in /usr/share/gtk-doc/html.
+    See #970275 for details of why this is correct.
+  * libcairo-gobject2: Add override for library-not-linked-against-libc.
+    This library uses functions from Cairo, GLib and GObject, and does not
+    directly depend on glibc.
+  * Register with doc-base using a symlink in /usr/share/doc.
+    This silences a Lintian warning, and makes the documentation a bit more
+    discoverable.
+  * Standards-Version: 4.5.1 (no changes required)
+
+ -- Simon McVittie <smcv@debian.org>  Thu, 31 Dec 2020 21:39:40 +0000
+
 cairo (1.16.0-4) unstable; urgency=medium
 
   * Team upload
@@ -339,7 +380,8 @@ cairo (1.12.4-1) experimental; urgency=l
     + debian/control:
       - Build-depend on libxext-dev.
   * debian/control:
-    + Build-depend on libpng-dev instead of libpng12-dev (Closes: #662279, #642264, #673642).
+    + Build-depend on libpng-dev instead of libpng12-dev
+      (Closes: #662279, #642264, #673642).
   * debian/control,
     debian/rules,
     debian/libcairo2.symbols:
diff -pruN 1.16.0-4/debian/compat 1.16.0-5/debian/compat
--- 1.16.0-4/debian/compat	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-11
diff -pruN 1.16.0-4/debian/control 1.16.0-5/debian/control
--- 1.16.0-4/debian/control	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/control	2020-12-31 21:39:40.000000000 +0000
@@ -7,8 +7,9 @@ Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
+               gtk-doc-tools,
                pkg-config (>= 0.19),
                libfontconfig1-dev (>= 2.2.95),
                libfreetype6-dev (>= 2.1.10),
@@ -26,7 +27,8 @@ Build-Depends: debhelper (>= 11),
                libglib2.0-dev,
                zlib1g-dev,
                liblzo2-dev
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/cairo
 Vcs-Git: https://salsa.debian.org/gnome-team/cairo.git
 Homepage: https://cairographics.org/
diff -pruN 1.16.0-4/debian/control.in 1.16.0-5/debian/control.in
--- 1.16.0-4/debian/control.in	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/control.in	2020-12-31 21:39:40.000000000 +0000
@@ -3,8 +3,9 @@ Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: @GNOME_TEAM@
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
+               gtk-doc-tools,
                pkg-config (>= 0.19),
                libfontconfig1-dev (>= 2.2.95),
                libfreetype6-dev (>= 2.1.10),
@@ -22,7 +23,8 @@ Build-Depends: debhelper (>= 11),
                libglib2.0-dev,
                zlib1g-dev,
                liblzo2-dev
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/cairo
 Vcs-Git: https://salsa.debian.org/gnome-team/cairo.git
 Homepage: https://cairographics.org/
diff -pruN 1.16.0-4/debian/libcairo2-doc.doc-base 1.16.0-5/debian/libcairo2-doc.doc-base
--- 1.16.0-4/debian/libcairo2-doc.doc-base	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/libcairo2-doc.doc-base	2020-12-31 21:39:40.000000000 +0000
@@ -7,5 +7,5 @@ Abstract: Cairo is a multi-platform libr
 Section: Programming/C
 
 Format: HTML
-Index: /usr/share/gtk-doc/html/cairo/index.html
-Files: /usr/share/gtk-doc/html/cairo/*.html
+Index: /usr/share/doc/libcairo2-doc/html/index.html
+Files: /usr/share/doc/libcairo2-doc/html/*.html
diff -pruN 1.16.0-4/debian/libcairo2-doc.links 1.16.0-5/debian/libcairo2-doc.links
--- 1.16.0-4/debian/libcairo2-doc.links	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/libcairo2-doc.links	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1 @@
+usr/share/gtk-doc/html/cairo usr/share/doc/libcairo2-doc/html
diff -pruN 1.16.0-4/debian/libcairo2-doc.lintian-overrides 1.16.0-5/debian/libcairo2-doc.lintian-overrides
--- 1.16.0-4/debian/libcairo2-doc.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/libcairo2-doc.lintian-overrides	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1,2 @@
+# https://bugs.debian.org/970275
+package-contains-documentation-outside-usr-share-doc usr/share/gtk-doc/html/*
diff -pruN 1.16.0-4/debian/libcairo-gobject2.lintian-overrides 1.16.0-5/debian/libcairo-gobject2.lintian-overrides
--- 1.16.0-4/debian/libcairo-gobject2.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/libcairo-gobject2.lintian-overrides	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1,2 @@
+# Only uses functions from libcairo, libglib, libgobject
+library-not-linked-against-libc usr/lib/*/libcairo-gobject.so.2.*
diff -pruN 1.16.0-4/debian/libcairo-gobject2.symbols 1.16.0-5/debian/libcairo-gobject2.symbols
--- 1.16.0-4/debian/libcairo-gobject2.symbols	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/libcairo-gobject2.symbols	2020-12-31 21:39:40.000000000 +0000
@@ -1,4 +1,5 @@
 libcairo-gobject.so.2 libcairo-gobject2 #MINVER#
+* Build-Depends-Package: libcairo2-dev
  cairo_gobject_antialias_get_type@Base 1.10.0
  cairo_gobject_content_get_type@Base 1.10.0
  cairo_gobject_context_get_type@Base 1.10.0
diff -pruN 1.16.0-4/debian/libcairo-script-interpreter2.symbols 1.16.0-5/debian/libcairo-script-interpreter2.symbols
--- 1.16.0-4/debian/libcairo-script-interpreter2.symbols	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/libcairo-script-interpreter2.symbols	2020-12-31 21:39:40.000000000 +0000
@@ -1,4 +1,5 @@
 libcairo-script-interpreter.so.2 libcairo-script-interpreter2 #MINVER#
+* Build-Depends-Package: libcairo2-dev
  cairo_script_interpreter_create@Base 1.10.0
  cairo_script_interpreter_destroy@Base 1.10.0
  cairo_script_interpreter_feed_stream@Base 1.10.0
diff -pruN 1.16.0-4/debian/patches/Fix-mask-usage-in-image-compositor.patch 1.16.0-5/debian/patches/Fix-mask-usage-in-image-compositor.patch
--- 1.16.0-4/debian/patches/Fix-mask-usage-in-image-compositor.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/patches/Fix-mask-usage-in-image-compositor.patch	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1,110 @@
+From: Heiko Lewin <heiko.lewin@worldiety.de>
+Date: Tue, 15 Dec 2020 16:48:19 +0100
+Subject: Fix mask usage in image-compositor
+
+Origin: upstream, 1.17.3, commit:03a820b173ed1fdef6ff14b4468f5dbc02ff59be
+Bug: https://gitlab.freedesktop.org/cairo/cairo/-/issues/437
+Bug-Debian: https://bugs.debian.org/978658
+---
+ src/cairo-image-compositor.c |  8 ++++----
+ test/Makefile.sources        |  1 +
+ test/bug-image-compositor.c  | 39 +++++++++++++++++++++++++++++++++++++++
+ 3 files changed, 44 insertions(+), 4 deletions(-)
+ create mode 100644 test/bug-image-compositor.c
+
+diff --git a/src/cairo-image-compositor.c b/src/cairo-image-compositor.c
+index bbf4cf2..2352c47 100644
+--- a/src/cairo-image-compositor.c
++++ b/src/cairo-image-compositor.c
+@@ -2601,14 +2601,14 @@ _inplace_src_spans (void *abstract_renderer, int y, int h,
+ 		    unsigned num_spans)
+ {
+     cairo_image_span_renderer_t *r = abstract_renderer;
+-    uint8_t *m;
++    uint8_t *m, *base = (uint8_t*)pixman_image_get_data(r->mask);
+     int x0;
+ 
+     if (num_spans == 0)
+ 	return CAIRO_STATUS_SUCCESS;
+ 
+     x0 = spans[0].x;
+-    m = r->_buf;
++    m = base;
+     do {
+ 	int len = spans[1].x - spans[0].x;
+ 	if (len >= r->u.composite.run_length && spans[0].coverage == 0xff) {
+@@ -2646,7 +2646,7 @@ _inplace_src_spans (void *abstract_renderer, int y, int h,
+ 				      spans[0].x, y,
+ 				      spans[1].x - spans[0].x, h);
+ 
+-	    m = r->_buf;
++	    m = base;
+ 	    x0 = spans[1].x;
+ 	} else if (spans[0].coverage == 0x0) {
+ 	    if (spans[0].x != x0) {
+@@ -2675,7 +2675,7 @@ _inplace_src_spans (void *abstract_renderer, int y, int h,
+ #endif
+ 	    }
+ 
+-	    m = r->_buf;
++	    m = base;
+ 	    x0 = spans[1].x;
+ 	} else {
+ 	    *m++ = spans[0].coverage;
+diff --git a/test/Makefile.sources b/test/Makefile.sources
+index c47131f..86fd53d 100644
+--- a/test/Makefile.sources
++++ b/test/Makefile.sources
+@@ -33,6 +33,7 @@ test_sources = \
+ 	bug-source-cu.c					\
+ 	bug-extents.c					\
+ 	bug-seams.c					\
++	bug-image-compositor.c				\
+ 	caps.c						\
+ 	checkerboard.c					\
+ 	caps-joins.c					\
+diff --git a/test/bug-image-compositor.c b/test/bug-image-compositor.c
+new file mode 100644
+index 0000000..fc4fd37
+--- /dev/null
++++ b/test/bug-image-compositor.c
+@@ -0,0 +1,39 @@
++#include "cairo-test.h"
++
++static cairo_test_status_t
++draw (cairo_t *cr, int width, int height)
++{
++    cairo_set_source_rgb (cr, 0., 0., 0.);
++    cairo_paint (cr);
++
++    cairo_set_source_rgb (cr, 1., 1., 1.);
++    cairo_set_line_width (cr, 1.);
++
++    cairo_pattern_t *p = cairo_pattern_create_linear (0, 0, width, height);
++    cairo_pattern_add_color_stop_rgb (p, 0, 0.99, 1, 1);
++    cairo_pattern_add_color_stop_rgb (p, 1, 1, 1, 1);
++    cairo_set_source (cr, p);
++
++    cairo_move_to (cr, 0.5, -1);
++    for (int i = 0; i < width; i+=3) {
++	cairo_rel_line_to (cr, 2, 2);
++	cairo_rel_line_to (cr, 1, -2);
++    }
++
++    cairo_set_operator (cr, CAIRO_OPERATOR_SOURCE);
++    cairo_stroke (cr);
++
++    cairo_pattern_destroy(p);
++
++    return CAIRO_TEST_SUCCESS;
++}
++
++
++CAIRO_TEST (bug_image_compositor,
++	    "Crash in image-compositor",
++	    "stroke, stress", /* keywords */
++	    NULL, /* requirements */
++	    10000, 1,
++	    NULL, draw)
++	    
++	    
diff -pruN 1.16.0-4/debian/patches/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch 1.16.0-5/debian/patches/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch
--- 1.16.0-4/debian/patches/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/patches/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch	2020-12-31 21:39:40.000000000 +0000
@@ -9,7 +9,8 @@ Fixes a crash when using freetype >= 2.9
 own memory allocator, which is not compatible with system free(), making
 this a remotely triggerable denial of service or memory corruption.]
 
-Origin: upstream, commit:90e85c2493fdfa3551f202ff10282463f1e36645
+Origin: upstream, 1.17.2, commit:90e85c2493fdfa3551f202ff10282463f1e36645
+Origin: upstream, 1.16.1, commit:465ccf12866ff216adc3f0cadfd1d3eeea71ae27
 Bug: https://gitlab.freedesktop.org/cairo/cairo/merge_requests/5
 Bug-Debian: https://bugs.debian.org/916389
 Bug-CVE: CVE-2018-19876
diff -pruN 1.16.0-4/debian/patches/git-pdf-add-missing-flush.patch 1.16.0-5/debian/patches/git-pdf-add-missing-flush.patch
--- 1.16.0-4/debian/patches/git-pdf-add-missing-flush.patch	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/patches/git-pdf-add-missing-flush.patch	2020-12-31 21:39:40.000000000 +0000
@@ -3,6 +3,10 @@ Date: Thu, 25 Oct 2018 18:46:17 +1030
 Subject: pdf: add missing flush
 
 Issue #342
+
+Origin: upstream, upstream, 1.16.1, commit:5e34c5a9640e49dcc29e6b954c4187cfc838dbd1
+Origin: upstream, upstream, 1.17.2, commit:4c8813f0eaacc32c27126ad2296951a626300b89
+Bug: https://gitlab.freedesktop.org/cairo/cairo/-/issues/342
 ---
  src/cairo-pdf-surface.c | 5 +++++
  1 file changed, 5 insertions(+)
diff -pruN 1.16.0-4/debian/patches/Minor-cleanups.patch 1.16.0-5/debian/patches/Minor-cleanups.patch
--- 1.16.0-4/debian/patches/Minor-cleanups.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/patches/Minor-cleanups.patch	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1,72 @@
+From: Heiko Lewin <heiko.lewin@worldiety.de>
+Date: Tue, 15 Dec 2020 17:14:18 +0100
+Subject: Minor cleanups
+
+Origin: upstream, 1.17.3, commit:8bc14a6bba3bc8a64ff0749c74d9b96305bf6429
+Bug: https://gitlab.freedesktop.org/cairo/cairo/-/issues/437
+Bug-Debian: https://bugs.debian.org/978658
+---
+ test/bug-image-compositor.c | 33 ++++++++++++++++++++++++++++++---
+ 1 file changed, 30 insertions(+), 3 deletions(-)
+
+diff --git a/test/bug-image-compositor.c b/test/bug-image-compositor.c
+index fc4fd37..304ea08 100644
+--- a/test/bug-image-compositor.c
++++ b/test/bug-image-compositor.c
+@@ -1,5 +1,34 @@
++/*
++ * Copyright © 2020 Uli Schlachter, Heiko Lewin
++ *
++ * Permission is hereby granted, free of charge, to any person
++ * obtaining a copy of this software and associated documentation
++ * files (the "Software"), to deal in the Software without
++ * restriction, including without limitation the rights to use, copy,
++ * modify, merge, publish, distribute, sublicense, and/or sell copies
++ * of the Software, and to permit persons to whom the Software is
++ * furnished to do so, subject to the following conditions:
++ *
++ * The above copyright notice and this permission notice shall be
++ * included in all copies or substantial portions of the Software.
++ *
++ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
++ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
++ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
++ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
++ * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
++ * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
++ * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
++ * SOFTWARE.
++ *
++ * Author: Uli Schlachter <psychon@znc.in>
++ * Author: Heiko Lewin <hlewin@gmx.de>
++ */
+ #include "cairo-test.h"
+ 
++
++/* This test reproduces an overflow of a mask-buffer in cairo-image-compositor.c */
++
+ static cairo_test_status_t
+ draw (cairo_t *cr, int width, int height)
+ {
+@@ -13,6 +42,7 @@ draw (cairo_t *cr, int width, int height)
+     cairo_pattern_add_color_stop_rgb (p, 0, 0.99, 1, 1);
+     cairo_pattern_add_color_stop_rgb (p, 1, 1, 1, 1);
+     cairo_set_source (cr, p);
++    cairo_pattern_destroy(p);
+ 
+     cairo_move_to (cr, 0.5, -1);
+     for (int i = 0; i < width; i+=3) {
+@@ -23,8 +53,6 @@ draw (cairo_t *cr, int width, int height)
+     cairo_set_operator (cr, CAIRO_OPERATOR_SOURCE);
+     cairo_stroke (cr);
+ 
+-    cairo_pattern_destroy(p);
+-
+     return CAIRO_TEST_SUCCESS;
+ }
+ 
+@@ -36,4 +64,3 @@ CAIRO_TEST (bug_image_compositor,
+ 	    10000, 1,
+ 	    NULL, draw)
+ 	    
+-	    
diff -pruN 1.16.0-4/debian/patches/series 1.16.0-5/debian/patches/series
--- 1.16.0-4/debian/patches/series	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/patches/series	2020-12-31 21:39:40.000000000 +0000
@@ -1,6 +1,8 @@
+git-pdf-add-missing-flush.patch
+ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch
+Fix-mask-usage-in-image-compositor.patch
+Minor-cleanups.patch
 01_build_perf_utils.patch
 02_am-maintainer-mode.patch
 03_export-symbols.patch
 06_hurd-map-noreserve.patch
-git-pdf-add-missing-flush.patch
-ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch
diff -pruN 1.16.0-4/debian/rules 1.16.0-5/debian/rules
--- 1.16.0-4/debian/rules	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/rules	2020-12-31 21:39:40.000000000 +0000
@@ -30,6 +30,7 @@ udeb_configure_flags += \
 	--disable-xcb
 
 override_dh_autoreconf:
+	cp debian/bug-image-compositor.ref.png test/reference/
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
@@ -56,6 +57,7 @@ override_dh_missing:
 	dh_missing --list-missing
 
 override_dh_auto_clean:
+	rm -f test/reference/bug-image-compositor.ref.png
 	rm -rf debian/install/ debian/build/
 
 # The test suite is quite broken atm, so running it is not very useful.
@@ -66,11 +68,7 @@ override_dh_auto_clean:
 #override_dh_auto_test:
 #	-dh_auto_test --builddirectory=debian/build/deb
 
-override_dh_strip:
-	dh_strip -plibcairo2-udeb -pcairo-perf-utils
-	dh_strip --remaining-packages --dbgsym-migration="libcairo2-dbg (<< 1.14.8-1~)"
-
 override_dh_makeshlibs:
-	dh_makeshlibs -plibcairo2 --add-udeb=libcairo2-udeb -V 'libcairo2 (>= 1.14.0)' -- -c4
-	dh_makeshlibs -plibcairo-gobject2 --add-udeb=libcairo2-udeb -V 'libcairo-gobject2 (>= 1.10.0)' -- -c4
-	dh_makeshlibs -plibcairo-script-interpreter2 -V 'libcairo-script-interpreter2 (>= 1.10.0)' -- -c4
+	dh_makeshlibs -plibcairo2 --add-udeb=libcairo2-udeb -- -c4
+	dh_makeshlibs -plibcairo-gobject2 --add-udeb=libcairo2-udeb -- -c4
+	dh_makeshlibs -plibcairo-script-interpreter2 -- -c4
diff -pruN 1.16.0-4/debian/shlibs.local 1.16.0-5/debian/shlibs.local
--- 1.16.0-4/debian/shlibs.local	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/shlibs.local	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1,5 @@
+libcairo 2 libcairo2 (= ${binary:Version})
+libcairo-gobject 2 libcairo-gobject2 (= ${binary:Version})
+libcairo-script-interpreter 2 libcairo-script-interpreter2 (= ${binary:Version})
+udeb: libcairo 2 libcairo2-udeb (= ${binary:Version})
+udeb: libcairo-gobject 2 libcairo2-udeb (= ${binary:Version})
diff -pruN 1.16.0-4/debian/source/include-binaries 1.16.0-5/debian/source/include-binaries
--- 1.16.0-4/debian/source/include-binaries	1970-01-01 00:00:00.000000000 +0000
+++ 1.16.0-5/debian/source/include-binaries	2020-12-31 21:39:40.000000000 +0000
@@ -0,0 +1 @@
+debian/bug-image-compositor.ref.png
diff -pruN 1.16.0-4/debian/tests/build 1.16.0-5/debian/tests/build
--- 1.16.0-4/debian/tests/build	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/tests/build	2020-12-31 21:39:40.000000000 +0000
@@ -6,8 +6,15 @@
 set -e
 
 WORKDIR=$(mktemp -d)
-trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
-cd $WORKDIR
+trap 'rm -rf "$WORKDIR"' 0 INT QUIT ABRT PIPE TERM
+cd "$WORKDIR"
+
+if [ -n "${DEB_HOST_GNU_TYPE:-}" ]; then
+    CROSS_COMPILE="$DEB_HOST_GNU_TYPE-"
+else
+    CROSS_COMPILE=
+fi
+
 cat <<EOF > build_test.c
 /*
    The source code I used here is the actual cairo's
@@ -37,7 +44,9 @@ main (int argc, char *argv[])
 }
 EOF
 
-gcc -o build_test build_test.c `pkg-config --cflags --libs cairo`
+# Deliberately word-splitting, that's how pkg-config works:
+# shellcheck disable=SC2046
+"${CROSS_COMPILE}gcc" -o build_test build_test.c $("${CROSS_COMPILE}pkg-config" --cflags --libs cairo)
 echo "build: OK"
 [ -x build_test ]
 ./build_test
diff -pruN 1.16.0-4/debian/tests/control 1.16.0-5/debian/tests/control
--- 1.16.0-4/debian/tests/control	2019-03-15 07:57:56.000000000 +0000
+++ 1.16.0-5/debian/tests/control	2020-12-31 21:39:40.000000000 +0000
@@ -1,2 +1,3 @@
 Tests: build
 Depends: build-essential, libcairo2-dev, pkg-config
+Restrictions: superficial
